summaryrefslogtreecommitdiffstats
path: root/network/nginx/nginx.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/nginx/nginx.SlackBuild')
-rw-r--r--network/nginx/nginx.SlackBuild158
1 files changed, 158 insertions, 0 deletions
diff --git a/network/nginx/nginx.SlackBuild b/network/nginx/nginx.SlackBuild
new file mode 100644
index 0000000000..397a0d2bc2
--- /dev/null
+++ b/network/nginx/nginx.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/sh
+#
+# Slackware build script for nginx
+#
+# Copyright 2008 Cherife Li <cherife-#-dotimes.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Max Miorim <miorimmax@gmail.com>
+
+PRGNAM=nginx
+VERSION=${VERSION:-0.7.65}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+eval $(perl '-V:installvendorlib')
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# patch to install the perl man pages in /usr/man/man3
+patch -p1 --verbose < $CWD/0.7.65-fix_perl_man_path.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sbin-path=/usr/sbin/nginx \
+ --conf-path=/etc/nginx/nginx.conf \
+ --pid-path=/var/run/nginx.pid \
+ --lock-path=/var/lock/nginx \
+ --user=${NGINXUSER:-nobody} \
+ --group=${NGINXGROUP:-nogroup} \
+ --error-log-path=/var/log/nginx/error.log \
+ --http-log-path=/var/log/nginx/access.log \
+ --with-rtsig_module \
+ --with-select_module \
+ --with-poll_module \
+ --with-http_ssl_module \
+ --with-http_realip_module \
+ --with-http_addition_module \
+ --with-http_xslt_module \
+ --with-http_sub_module \
+ --with-http_dav_module \
+ --with-http_flv_module \
+ --with-http_gzip_static_module \
+ --with-http_random_index_module \
+ --with-http_secure_link_module \
+ --with-http_stub_status_module \
+ --with-http_perl_module \
+ --with-perl_modules_path=$installvendorlib \
+ --http-client-body-temp-path=/var/tmp/nginx_client_body_temp \
+ --http-proxy-temp-path=/var/tmp/nginx_proxy_temp \
+ --http-fastcgi-temp-path=/dev/shm \
+ --without-mail_pop3_module \
+ --without-mail_imap_module \
+ --without-mail_smtp_module
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | \
+ xargs rm -f 2> /dev/null
+find $PKG -perm 444 -exec chmod 0644 {} \;
+find $PKG -perm 555 -exec chmod 0755 {} \;
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Remove some other empty and/or unnecessary directories from the package
+eval $(perl '-V:archlib')
+rm -rf $PKG/$archlib $PKG/usr/html $PKG/var
+
+# Add an init script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.nginx > $PKG/etc/rc.d/rc.nginx.new
+
+mkdir -p $PKG/etc/logrotate.d
+cat $CWD/nginx.logrotate > $PKG/etc/logrotate.d/nginx.new
+
+mkdir -p $PKG/usr/doc/nginx-$VERSION
+cp -a CHANGES CHANGES.ru LICENSE README $PKG/usr/doc/nginx-$VERSION
+cat $CWD/nginx.SlackBuild > $PKG/usr/doc/nginx-$VERSION/nginx.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Let's not clobber config files on upgrade
+( cd $PKG/etc/nginx
+ for i in fastcgi_params mime.types nginx.conf koi-utf koi-win win-utf; do
+ mv $i $i.new;
+ echo "config etc/nginx/$i.new" >> $PKG/install/doinst.sh;
+ done
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}